dockStatusId. Use this ID to call the Get Dock Status API and verify the status of the tool import process.
Where can I find the API key?
To use the API, you will need an API key. Learn more.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
dockStatusId. Use this ID to call the Get Dock Status API and verify the status of the tool import process.
| Method | POST |
|---|---|
| Endpoint | https://{host}/api/public/tools/:{toolId}/import |
| Content Type | application/json |
| Authorization | X-api-key - The API key used for authentication. |
| PARAMETER | DESCRIPTION | TYPE | REQUIRED/OPTIONAL |
|---|---|---|---|
| host | The environment URL. For example, https://agent-platform.domain.ai/ | String | Required |
| toolId | The tool ID of the tool being imported | String | Required |
curl --location 'https://{host}/api/public/tools/a-fbxxxxxf4-20x5-58xb-8b94-00xxxxxxxx5/import'
--header 'x-api-key: kg-90xxxxx5-9xxe-5xxf-9xx7-9f4xxxxxxxx4-55xxxxx4-axx9-4xx2-axx2-fbcxxxxxxxxa'
--header 'Content-Type: application/json'
--data '{
"toolDataFileId": "67xxxxxxxxxxxxxxxxxxxxxc",
"flowDataFileId": "67xxxxxxxxxxxxxxxxxxxxxx2",
"envVariablesFileId": "67xxxxxxxxxxxxxxxxxxxxx2"
}'
| PARAMETER | DESCRIPTION | TYPE | REQUIRED/OPTIONAL |
|---|---|---|---|
| toolDataFileId | The identifier for the tool data file being imported. | String | Required |
| flowDataFileId | The identifier for the flow data file. | String | Required |
| envVariablesFileId | The identifier for the environment variables file. | String | Required |
{
"dockStatusId": "{dockStatusId}",
"toolId": "{toolId}",
"jobType": "TOOLS",
"action": "IMPORT",
"status": "SUCCESS"
}
| PARAMETER | DESCRIPTION | TYPE | SAMPLE VALUE |
|---|---|---|---|
| dockStatusId | The unique identifier to track the status of action. for example import, export, deploy, etc. | String | for example, ds-c6xxxxx5-dxxd-5xxf-9xxd-0xxxxx6xxxx8 |
| toolId | The unique identifier for the tool. | String | for example, a-8xxxxxbe-6xxe-5xx1-8xxc-bxxxxxx80xx6 |
| jobType | The type of job being performed. | String | TOOLS |
| action | The action being performed on the tool/model. | String | IMPORT |
| status | The current status of the job. | String | IN_PROGRESS, SUCCESS, or FAILED |
Was this page helpful?